Package ru.bitel.bgbilling.modules.drwebn.common.bean

# Class DrwebAgentStatus

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase
ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatus

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Idable`

public class DrwebAgentStatus extends DrwebAgentStatusBase implements Cloneable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

  `status, STATUS_BLOCKED, STATUS_CLOSE, STATUS_ERROR, STATUS_OK, statusDate, tariffId, tariffTitle`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrwebAgentStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAgentId()`
  `Date`
  `getDt()`
  `int`
  `getUserId()`
  `String`
  `getUserTitle()`
  `DrwebAgentStatus`
  `setAgentId(int agentId)`
  `DrwebAgentStatus`
  `setDt(Date dt)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserTitle(String userTitle)`

  ### Methods inherited from class ru.bitel.bgbilling.modules.drwebn.common.bean.DrwebAgentStatusBase

  `getStatus, getStatusDate, getStatusString, getTariffId, getTariffTitle, setStatus, setStatusDate, setTariffId, setTariffTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DrwebAgentStatus

    public DrwebAgentStatus()

- ## Method Details

  - ### getAgentId

    public int getAgentId()

  - ### setAgentId

    public DrwebAgentStatus setAgentId(int agentId)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getUserTitle

    public String getUserTitle()

  - ### setUserTitle

    public void setUserTitle(String userTitle)

  - ### getDt

    public Date getDt()

  - ### setDt

    public DrwebAgentStatus setDt(Date dt)